Reports

Agent leaderboard

Agent leaderboard.

GET
/reports/{inbox_id}/agents

Agent leaderboard.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

inbox_id*string

Inbox identifier.

Query Parameters

start_date*string

Start of the reporting window.

Formatdate
end_date*string

End of the reporting window.

Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/reports/string/agents?start_date=2019-08-24&end_date=2019-08-24"
{  "agents": [    {      "id": "string",      "first_name": "string",      "last_name": "string",      "name": "string",      "conversation_count": 0,      "resolution_count": 0,      "pivot": {}    }  ]}